Viewing Issue Advanced Details Jump to Notes ] [ View Source: gottlieb.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04301 Sound Minor Always 2011-04-03 12:53 2011-12-28 09:15
Tester italiandoh View Status Public Platform MAME (Official Binary)
Assigned To mariuszw Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved   Driver gottlieb.c
Version 0.137 Fixed in Version 0.144u5 Build I686
Summary 04301: cobram3: Game plays using Mach 3 sound effects instead of Cobra Command ones.
Description Game plays using Mach 3 sound effects instead of Cobra Command ones.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems cobram3
Attached Files
 


-  Notes
User avatar (07360)
Tafoid (Administrator)
2011-04-03 14:42

I think this is correct because it's on hardware which MACH 3 uses... completely different roms and hardware profiles between the two.
User avatar (07366)
italiandoh (Tester)
2011-04-03 15:43
edited on: 2011-04-03 15:45

No, it is not correct. I have the original arcade machine: http://www.arcade-museum.com/members/member_detail.php?member_id=384678

There are ROM changes on MACH 3 sound board when you convert it to Cobra Command. If Mame is using the sounds from the correct Cobra Command ROM then you have a incorrect dump. If this is the case use the dump on The Dragon's lair Project that I used to convert my machine.

User avatar (07372)
Fujix (Administrator)
2011-04-04 18:17

italiandoh, could we have audio or video reference of the Cobra Command convert?
I think it is very important for this bug entry.

Thank you.
User avatar (07375)
italiandoh (Tester)
2011-04-09 19:05
edited on: 2012-05-31 05:42

OK, here's a video:



User avatar (07819)
vidpro1 (Tester)
2011-10-06 17:44
edited on: 2011-10-06 17:46

Italiandoh is correct. I plugged in the Cobra Command ROMS from the Dragon's Lair project site and made a change to the gottlieb.c driver a while back. Basically the MAME version uses the DAC sounds from MACH 3 ROMS. But the sounds are wrong, the machine guns are the MACH 3's plane explosion. Either the roms are bad or the addressing in the driver is wrong.

On Italiandoh's video you can hear the GI AY-3-8912 Chips firing the machine guns and the the missiles.

From the toying around with the roms and drivers I have it looks like the speech ROM controls how the GI AY-3-8912s work. Also, the conversion kit manual states a modification to the sound board, by adding 2 resistors. See Below.

Modifications are also required to the game hardware
as follows:


SOUND PCB:

Add a 220 ohm resistor across R13
Add a 330 ohm resistor across R14